# Retrieve the Decision Engine For compatibility with CDN, any web headers (Referrer, User-Agent) will be accepted and passed onto the rule engine. Endpoint: GET /blaize/decision-engine Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Query parameters: - `path` (string, required) Uniquely identifies the content Zephr is making a decision about. Request rules can be configured to only execute when the request path matches a provided regular expression. - `session` (string, required) Zephr Session ID - same as the blaize_session cookie used by the CDN and authentication endpoints. - `foreign_id.xxx` (string, required) Foreign ID used to identify the user. The foreign system is parsed as the remainder of the parameter key name following 'foreign_id.' - `content_id` (string, required) Passed as metadata.content_id to the Content API template, used to perform requests to a 3rd party API for additional content information used in making a decision. - `jwt` (string, required) A JSON Web Token, may include identity or product holding claims. - `btr` (string, required) A trusted referrer token. If Zephr generates a matching token using path, passed-in Referer header and a configured secret, all entitlements used in this decision will be temporarily granted for this request. ## Response 200 fields